Package com.xebialabs.xlrelease.domain

# Class DependencyTarget

java.lang.Object
com.xebialabs.xlrelease.domain.DependencyTarget

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class DependencyTarget extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependencyTarget(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DependencyTarget`
  `apply(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)`
  `boolean`
  `canEqual(Object x$1)`
  `DependencyTarget`
  `copy(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$10()`
  `String`
  `copy$default$11()`
  `TaskStatus`
  `copy$default$12()`
  `FlagStatus`
  `copy$default$13()`
  `String`
  `copy$default$14()`
  `Date`
  `copy$default$15()`
  `Date`
  `copy$default$16()`
  `Date`
  `copy$default$17()`
  `Date`
  `copy$default$18()`
  `Integer`
  `copy$default$19()`
  `String`
  `copy$default$2()`
  `Type`
  `copy$default$3()`
  `String`
  `copy$default$4()`
  `String`
  `copy$default$5()`
  `String`
  `copy$default$6()`
  `String`
  `copy$default$7()`
  `PhaseStatus`
  `copy$default$8()`
  `String`
  `copy$default$9()`
  `Date`
  `dueDate()`
  `Date`
  `endDate()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `String`
  `phaseId()`
  `PhaseStatus`
  `phaseStatus()`
  `String`
  `phaseTitle()`
  `Integer`
  `plannedDuration()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `releaseFlagComment()`
  `FlagStatus`
  `releaseFlagStatus()`
  `String`
  `releaseTitle()`
  `String`
  `resolvedPhaseTitle()`
  `String`
  `resolvedTaskTitle()`
  `Date`
  `scheduledStartDate()`
  `Date`
  `startDate()`
  `String`
  `targetId()`
  `String`
  `targetReleaseUid()`
  `Type`
  `targetType()`
  `String`
  `taskId()`
  `TaskStatus`
  `taskStatus()`
  `String`
  `taskTitle()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer>>`
  `unapply(DependencyTarget x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### DependencyTarget

    public DependencyTarget(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)

- ## Method Details

  - ### apply

    public static DependencyTarget apply(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)

  - ### unapply

    public static scala.Option<scala.Tuple19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer>> unapply(DependencyTarget x$0)

  - ### targetReleaseUid

    public String targetReleaseUid()

  - ### targetId

    public String targetId()

  - ### targetType

    public Type targetType()

  - ### releaseTitle

    public String releaseTitle()

  - ### phaseId

    public String phaseId()

  - ### phaseTitle

    public String phaseTitle()

  - ### resolvedPhaseTitle

    public String resolvedPhaseTitle()

  - ### phaseStatus

    public PhaseStatus phaseStatus()

  - ### taskId

    public String taskId()

  - ### taskTitle

    public String taskTitle()

  - ### resolvedTaskTitle

    public String resolvedTaskTitle()

  - ### taskStatus

    public TaskStatus taskStatus()

  - ### releaseFlagStatus

    public FlagStatus releaseFlagStatus()

  - ### releaseFlagComment

    public String releaseFlagComment()

  - ### startDate

    public Date startDate()

  - ### endDate

    public Date endDate()

  - ### scheduledStartDate

    public Date scheduledStartDate()

  - ### dueDate

    public Date dueDate()

  - ### plannedDuration

    public Integer plannedDuration()

  - ### copy

    public DependencyTarget copy(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$10

    public String copy$default$10()

  - ### copy$default$11

    public String copy$default$11()

  - ### copy$default$12

    public TaskStatus copy$default$12()

  - ### copy$default$13

    public FlagStatus copy$default$13()

  - ### copy$default$14

    public String copy$default$14()

  - ### copy$default$15

    public Date copy$default$15()

  - ### copy$default$16

    public Date copy$default$16()

  - ### copy$default$17

    public Date copy$default$17()

  - ### copy$default$18

    public Date copy$default$18()

  - ### copy$default$19

    public Integer copy$default$19()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public Type copy$default$3()

  - ### copy$default$4

    public String copy$default$4()

  - ### copy$default$5

    public String copy$default$5()

  - ### copy$default$6

    public String copy$default$6()

  - ### copy$default$7

    public String copy$default$7()

  - ### copy$default$8

    public PhaseStatus copy$default$8()

  - ### copy$default$9

    public String copy$default$9()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`